MyGUI: MyGUI::SharedLayer Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes
MyGUI::SharedLayer Class Reference

`#include <MyGUI_SharedLayer.h>`

Inheritance diagram for MyGUI::SharedLayer:
[legend]

## Public Types
typedef RTTIBase | Base
typedef SharedLayer | RTTIBase
Public Types inherited from MyGUI::ILayer
typedef RTTIBase | Base
typedef ILayer | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| SharedLayer ()
virtual | ~SharedLayer ()
virtual void | deserialization (xml::ElementPtr _node, Version _version)
virtual ILayerNode * | createChildItemNode ()
virtual void | destroyChildItemNode (ILayerNode *_node)
virtual void | upChildItemNode (ILayerNode *_node)
virtual EnumeratorILayerNode | getEnumerator () const
virtual size_t | getLayerNodeCount () const
virtual ILayerNode * | getLayerNodeAt (size_t _index) const
virtual ILayerItem * | getLayerItemByPoint (int _left, int _top) const
virtual IntPoint | getPosition (int _left, int _top) const
virtual const IntSize & | getSize () const
virtual void | renderToTarget (IRenderTarget *_target, bool _update)
virtual void | resizeView (const IntSize &_viewSize)
bool | isOutOfDate () const
Public Member Functions inherited from MyGUI::ILayer
template<typename Type >
bool | isType () const
| ILayer ()
virtual | ~ILayer ()
const std::string & | getName () const
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type >
bool | isType () const
| ISerializable ()
virtual | ~ISerializable ()
virtual void | serialization (xml::ElementPtr _node, Version _version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ILayer
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Protected Attributes
bool | mIsPick
SharedLayerNode * | mChildItem
bool | mOutOfDate
IntSize | mViewSize
Protected Attributes inherited from MyGUI::ILayer
std::string | mName

## Detailed Description

Definition at line 18 of file MyGUI_SharedLayer.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::SharedLayer::Base

Definition at line 21 of file MyGUI_SharedLayer.h.

## ◆ RTTIBase

typedef SharedLayer MyGUI::SharedLayer::RTTIBase

Definition at line 21 of file MyGUI_SharedLayer.h.

## Constructor & Destructor Documentation

## ◆ SharedLayer()

MyGUI::SharedLayer::SharedLayer | ( |  | ) |

Definition at line 16 of file MyGUI_SharedLayer.cpp.

## ◆ ~SharedLayer()

MyGUI::SharedLayer::~SharedLayer | ( |  | ) |
| virtual

Definition at line 24 of file MyGUI_SharedLayer.cpp.

## Member Function Documentation

## ◆ createChildItemNode()

ILayerNode * MyGUI::SharedLayer::createChildItemNode | ( |  | ) |
| virtual

Implements MyGUI::ILayer.

Definition at line 53 of file MyGUI_SharedLayer.cpp.

## ◆ deserialization()

void MyGUI::SharedLayer::deserialization | ( | xml::ElementPtr | _node,
|  | Version | _version
| ) |  |
| virtual

Reimplemented from MyGUI::ISerializable.

Definition at line 29 of file MyGUI_SharedLayer.cpp.

## ◆ destroyChildItemNode()

void MyGUI::SharedLayer::destroyChildItemNode | ( | ILayerNode * | _node | ) |
| virtual

Implements MyGUI::ILayer.

Definition at line 65 of file MyGUI_SharedLayer.cpp.

## ◆ getClassTypeName()

static const std::string& MyGUI::SharedLayer::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 21 of file MyGUI_SharedLayer.h.

## ◆ getEnumerator()

EnumeratorILayerNode MyGUI::SharedLayer::getEnumerator | ( |  | ) | const
| virtual

Implements MyGUI::ILayer.

Definition at line 129 of file MyGUI_SharedLayer.cpp.

## ◆ getLayerItemByPoint()

ILayerItem * MyGUI::SharedLayer::getLayerItemByPoint | ( | int | _left,
|  | int | _top
| ) |  | const
| virtual

Implements MyGUI::ILayer.

Definition at line 94 of file MyGUI_SharedLayer.cpp.

## ◆ getLayerNodeAt()

ILayerNode * MyGUI::SharedLayer::getLayerNodeAt | ( | size_t | _index | ) | const
| virtual

Implements MyGUI::ILayer.

Definition at line 152 of file MyGUI_SharedLayer.cpp.

## ◆ getLayerNodeCount()

size_t MyGUI::SharedLayer::getLayerNodeCount | ( |  | ) | const
| virtual

Implements MyGUI::ILayer.

Definition at line 147 of file MyGUI_SharedLayer.cpp.

## ◆ getPosition()

IntPoint MyGUI::SharedLayer::getPosition | ( | int | _left,
|  | int | _top
| ) |  | const
| virtual

Implements MyGUI::ILayer.

Definition at line 108 of file MyGUI_SharedLayer.cpp.

## ◆ getSize()

const IntSize & MyGUI::SharedLayer::getSize | ( |  | ) | const
| virtual

Implements MyGUI::ILayer.

Definition at line 160 of file MyGUI_SharedLayer.cpp.

## ◆ getTypeName()

virtual const std::string& MyGUI::SharedLayer::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented from MyGUI::ILayer.

Definition at line 21 of file MyGUI_SharedLayer.h.

## ◆ isOutOfDate()

bool MyGUI::SharedLayer::isOutOfDate | ( |  | ) | const

Definition at line 165 of file MyGUI_SharedLayer.cpp.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::SharedLayer::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 21 of file MyGUI_SharedLayer.h.

## ◆ isType() [2/2]

virtual bool MyGUI::SharedLayer::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented from MyGUI::ILayer.

Definition at line 21 of file MyGUI_SharedLayer.h.

## ◆ renderToTarget()

void MyGUI::SharedLayer::renderToTarget | ( | IRenderTarget * | _target,
|  | bool | _update
| ) |  |
| virtual

Implements MyGUI::ILayer.

Definition at line 113 of file MyGUI_SharedLayer.cpp.

## ◆ resizeView()

void MyGUI::SharedLayer::resizeView | ( | const IntSize & | _viewSize | ) |
| virtual

Implements MyGUI::ILayer.

Definition at line 121 of file MyGUI_SharedLayer.cpp.

## ◆ upChildItemNode()

void MyGUI::SharedLayer::upChildItemNode | ( | ILayerNode * | _node | ) |
| virtual

Implements MyGUI::ILayer.

Definition at line 84 of file MyGUI_SharedLayer.cpp.

## Field Documentation

## ◆ mChildItem

SharedLayerNode* MyGUI::SharedLayer::mChildItem
| protected

Definition at line 60 of file MyGUI_SharedLayer.h.

## ◆ mIsPick

bool MyGUI::SharedLayer::mIsPick
| protected

Definition at line 59 of file MyGUI_SharedLayer.h.

## ◆ mOutOfDate

bool MyGUI::SharedLayer::mOutOfDate
| protected

Definition at line 61 of file MyGUI_SharedLayer.h.

## ◆ mViewSize

IntSize MyGUI::SharedLayer::mViewSize
| protected

Definition at line 62 of file MyGUI_SharedLayer.h.

The documentation for this class was generated from the following files:

- MyGUI_SharedLayer.h
- MyGUI_SharedLayer.cpp